Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# TiXmlAttribute Class Reference

Inheritance diagram for TiXmlAttribute:

List of all members.

## Public Member Functions
| TiXmlAttribute ()
| TiXmlAttribute (string _name, string _value)
| TiXmlAttribute (string _name, string _value)
double | DoubleValue ()
int | IntValue ()
string | Name ()
string | NameTStr ()
TiXmlAttribute | Next ()
TiXmlAttribute const | Next ()
bool | operator< (TiXmlAttribute const rhs)
bool | operator== (TiXmlAttribute const rhs)
bool | operator> (TiXmlAttribute const rhs)
TiXmlAttribute const | Previous ()
TiXmlAttribute | Previous ()
| Print (FILE cfile, int depth, basic_stringchar str)
| SetDocument (TiXmlDocument doc)
| SetDoubleValue (double _value)
| SetIntValue (int _value)
| SetName (string _name)
| SetName (string _name)
| SetValue (string _value)
| SetValue (string _value)
string | Value ()
string | ValueStr ()

## Constructor & Destructor Documentation

TiXmlAttribute | ( |  | ) |

TiXmlAttribute | ( | string | _name,
|  | string | _value
| ) |  |

TiXmlAttribute | ( | string | _name,
|  | string | _value
| ) |  |

## Member Function Documentation

double DoubleValue | ( |  | ) |

int IntValue | ( |  | ) |

string Name | ( |  | ) |

string NameTStr | ( |  | ) |

TiXmlAttribute Next | ( |  | ) |

TiXmlAttribute const Next | ( |  | ) |

bool operator< | ( | TiXmlAttribute const | rhs | ) |

bool operator== | ( | TiXmlAttribute const | rhs | ) |

bool operator> | ( | TiXmlAttribute const | rhs | ) |

TiXmlAttribute const Previous | ( |  | ) |

TiXmlAttribute Previous | ( |  | ) |

Print | ( | FILE | cfile,
|  | int | depth,
|  | basic_stringchar | str
| ) |  |

SetDocument | ( | TiXmlDocument | doc | ) |

SetDoubleValue | ( | double | _value | ) |

SetIntValue | ( | int | _value | ) |

SetName | ( | string | _name | ) |

SetName | ( | string | _name | ) |

SetValue | ( | string | _value | ) |

SetValue | ( | string | _value | ) |

string Value | ( |  | ) |

string ValueStr | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties